Subject: Re: bug#65509: [PATCH] Use correct env var when opening frames with freedesktop menu entries

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Sep 2023 19:58:57 +0300

> From: Davide Masserut <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>, [email-masked],
>  [email-masked]
> Date: Sat, 02 Sep 2023 18:24:43 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Po Lu writes:
> >>
> >> > I think this is the fix for the bug I couldn't reproduce
> >> > earlier, bug#64310.  The patch seems appropriate, thanks.
> >>
> >> >From the previous discussion, it seems like we wanted to get
> >> >this fixed on emacs-29?
> >>
> >> Eli, WDYT?
> >
> > I don't know enough about these Freedesktop shortcuts to have an
> > opinion.  If this is installed only for the PGTK build, and you 
> > think
> > it solves the problem, feel free to install on emacs-29.
> 
> For the same reason that the current emacsclient.desktop doesn't 
> work with Wayland, installing the patch would break PGTK builds 
> under Xorg because they would look for an environment variable 
> that is not set by Xorg DEs.  Sorry, I've just noticed it.

Can you describe the issue in more detail?  In particular, would it
work to try several variables one after another?